import {request} from "@/api/request";

export type BrandRecord = {
  name: string;
  id: number
  introductory_video: string[]
  brand_album: string[]
  graphic_introduction: string
  disabled: number
}

export const brandApi = {
  /** 品牌列表 */
  list(page: number , page_size: number) {
    return request<{
      data: BrandRecord[],
      total: number
    }>(`/home/v1/brand/list?page=${page}&page_size=${page_size}` , "GET")
  },
  /** 品牌详情 */
  info(id: number) {
    return request<BrandRecord>(`/home/v1/brand/${id}`, "GET")
  },
}
